
Redmine - Defect #34673

Author of ticket still gets update when ticket changed to private

2021-02-01 20:59 - Jessie Lee

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 4.1.1

Description

Author of ticket still gets updates on ticket even if ticket changed to private and author does not have permission to view private

tickets.

Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.6.3-p62 (2019-04-16) [x86_64-linux]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Bazaar                         2.8.0

  Git                            2.20.1

  Filesystem

  GitRemote                      2.20.1

Redmine plugins:

  additionals                    2.0.24

  redmine_agile                  1.5.4

  redmine_checklists             3.1.16

  redmine_cms                    1.2.1

  redmine_contacts               4.3.2

  redmine_contacts_helpdesk      4.1.10

  redmine_git_remote             0.0.1

  redmine_local_avatars          1.0.1

  redmine_mentions               1.0.0

  redmine_messenger              1.0.6

  redmine_stealth                0.7.5

  redmine_wiki_extensions        0.9.2

History

#1 - 2021-02-02 05:01 - Mischa The Evil

- Subject changed from author of ticket still gets update when ticket changed to private to Author of ticket still gets update when ticket changed to

private

- Category changed from Issues permissions to Email notifications

- Status changed from New to Needs feedback

- Assignee set to Jessie Lee

Jessie Lee wrote:

Redmine plugins:

  additionals                    2.0.24

  redmine_agile                  1.5.4

  redmine_checklists             3.1.16

  redmine_cms                    1.2.1

  redmine_contacts               4.3.2

  redmine_contacts_helpdesk      4.1.10

  redmine_git_remote             0.0.1

  redmine_local_avatars          1.0.1
  redmine_mentions               1.0.0

  redmine_messenger              1.0.6

  redmine_stealth                0.7.5

  redmine_wiki_extensions        0.9.2

 

Please try without plugins. This is most-likely caused by one (or more) of them being incompatible in some way.

In case the issue persists I'd suggest to provide some logs that shows this behavior happening.

#2 - 2021-02-22 09:55 - Go MAEDA

According to #7414#note-12, the behavior that the author of an issue can see the issue is considered to be expected behavior.

Copied from #7414#note-12:

A new issue visibility level is available on roles:

All non private issues => user will see all non private issues and private issues that were created by him or are assigned to him

#3 - 2021-07-17 10:11 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Wont fix

Closing this issue because it is the expected behavior as I wrote in #34673#note-2.

#4 - 2021-09-22 02:00 - Mischa The Evil

- Assignee deleted (Jessie Lee)

Go MAEDA wrote:

According to #7414#note-12, the behavior that the author of an issue can see the issue is considered to be expected behavior.

 Thanks for this clarification. I was bitten by the fact that this wasn't included on RedmineRoles (which I've fixed now) and that it isn't something that is

properly reflected by the property value ('All non private issues').
